MCPBundler Docs
MCPBundler Docs
Volver al marketplacePrimeros PasosAutenticacionTutorial - De un Bundle a un Agente Conectado
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Append Conversation Messages (M2M)Append Workflow Run Trace Step (M2M, fail-open)Create Conversation (M2M)Create Workflow Run (M2M)Dispatch a Matched Tool-Call Webhook (M2M)Finalize Workflow Run Outputs (M2M, fail-closed on the caller's side)Ingest Request TelemetryResolve An SMS Conversation Thread (M2M)Mint Widget Session Token (M2M)Reconcile Token LedgerReport An Outbound Call Outcome (M2M)Resolve Agent (M2M)Resolve Agent Config Snapshot (M2M)Resolve Agent for Inbound A2A (M2M, conditionally authenticated)Resolve BundleResolve Inbound Channel (M2M)Resolve LLM Credential (M2M)Resolve Telephony Credential For Outbound Origination (M2M)Resolve Tool-Call Override Bindings (M2M)Resolve Tool-Call Webhook Bindings (M2M)Resolve Public Widget Embed Key (M2M)Resolve Agent Workflow (M2M)Search Agent Knowledge Bases (M2M)Store Workflow Node Samples (M2M, fail-open)Submit Conversation Extraction (M2M)Update Conversation Status (M2M)Record Channel Status (M2M)
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceBundler

Resolve Bundle

GET
/v1/bundler/resolve

Validate a bundle access token and return the fully resolved MCP configuration list with decrypted credentials. Consumed by the mcpbundler daemon at connection time.

Authorization

BundleAccessToken
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/bundler/resolve"
{  "bundleId": "string",  "name": "string",  "mcps": [    {      "namespace": "string",      "url": "string",      "transport": "http",      "description": "string",      "pooled": false,      "authStrategy": "string",      "auth": {        "method": "string",        "token": "string",        "username": "string",        "password": "string",        "key": "string",        "header": "string"      },      "permissions": {        "allowedTools": [          "string"        ],        "allowedResources": [          "string"        ],        "allowedPrompts": [          "string"        ]      },      "capabilities": [],      "tools": [],      "resources": [],      "prompts": [],      "schemaRevision": 0,      "verifyLiveOnConnect": false,      "webhookUrl": "string",      "webhookSecret": "string"    }  ],  "router": {    "model": "string",    "llm": {      "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",      "name": "string",      "type": "openai-compatible",      "model": "string",      "endpoint": "string",      "api_key": "string",      "temperature": 0,      "max_tokens": 0,      "timeout_ms": 0,      "metered": false    },    "rolling_window": {},    "set_context": {},    "tool_granularity": false  },  "deploymentId": "string",  "configVersion": 0}
Empty
Empty

Resolve Agent for Inbound A2A (M2M, conditionally authenticated)

Previous Page

Resolve Inbound Channel (M2M)

Next Page